<html ng-app="myEmployee">
    <head>
        <title>myEmployee</title>
        <link rel="stylesheet" href="css/bootstrap.min.css"/>
        <link rel="stylesheet" href="myCss/style.css" />
    </head>
    <body  ng-controller="myEmployeeCtrl">
    
        <div class="container py-5 " id = "myForm">
            <form>
                <div class="form-group">
                    <label for="exampleFormControlInput1">Your name :</label>
                    <input type="text" class="form-control" ng-model = "data.name" placeholder="SathishRsk">
                </div>
                <div class="form-group">
                    <label for="exampleFormControlSelect1">Position :</label>
                    <select class="form-control" ng-model="data.position">
                        <option value="">--select position--</option>
                        <option ng-repeat="pos in positions | orderBy" value="{{pos}}">{{pos}}</option>
                    </select>
                </div>
                <div class="form-group">
                    <label for="exampleFormControlSelect1">Location :</label>
                    <select class="form-control" ng-model="data.location">
                        <option value="">--select location--</option>
                        <option ng-repeat="pos in locations | orderBy" value="{{pos}}">{{pos}}</option>
                    </select>
                </div>
                <div class="form-group">
                    <label for="formControlRange">Age:</label>
                    <input type="number" class="form-control" ng-model="data.age" placeholder="Age">
                </div>
                <div class="form-group">
                    <label for="exampleFormControlInput1">Start date :</label>
                    <input type="date" class="form-control" ng-model = "data.date" placeholder="SathishRsk">
                </div>
                <div class="form-group">
                    <label for="exampleFormControlInput1">Salary :</label>
                    <input type="text" class="form-control" ng-model = "data.salary" placeholder="$16,000">
                </div>
                <button type="button" class=" ml-5 btn btn-primary w-25  float-center" ng-click="postDetails()">Update</button>
                <button type="button" class=" ml-5 btn btn-primary w-25  float-center" ng-click="getDetails()">view</button>
            </form>
        </div>
        <div class="container  py-2 mt-4  text-center d-none" id = "result">
            <h2 class="font-weight-normal py-2">My data Set:</h2>
            <div class="row ">
                <div class="col-1"><label for="exampleFormControlSelect1">Limit</label></div>
                <div class="col-2">
                    <div class="form-group">
                        <select class="form-control px-2" ng-model="limit" ng-change="limitData()">
                            <option value="">--select limit--</option>
                            <option value="5">5</option><option value="10">10</option>
                            <option value="15">15</option><option value="20">20</option>
                        </select>
                    </div>
                </div>
                <div class="col-3">&nbsp;</div>
                <div class="col-1">
                    <div class="form-group">
                        <label for="exampleFormControlSelect1">Search</label>
                    </div>
                </div>
                <div class="col-5">
                    <div class="form-group">
                         <input type="text" class="form-control" ng-model = "search" placeholder="search"  ng-change = "searchData()"/>
                    </div>
                </div>
            </div>
            <div class="table table-striped">
                <div class="cusThead">
                    <div class="row " id="sortDis">
                        <div class="col " ng-click="sort('name')">name<span></span></div>
                        <div class="col-3 " ng-click="sort('position')">position<span></span></div>
                        <div class="col " ng-click="sort('location')">location<span></span></div>
                        <div class="col" ng-click="sort('age')">age<span></span></div>
                        <div class="col" ng-click="sort('date')">start date<span></span></div>
                        <div class="col" ng-click="sort('salary')">salary<span></span></div>
                    </div>
                </div>
                <div class="dataSet font-18" >
                    <div class="row m-0 py-4" ng-repeat = "set in myset">
                        <div class="col">{{set.name}}</div>
                        <div class="col-3">{{set.position}}</div>
                        <div class="col">{{set.location}}</div>
                        <div class="col">{{set.age}}</div>
                        <div class="col">{{stripDate(set.date)}}</div>
                        <div class="col">{{stripSalary(set.salary)}}</div>
                    </div>
                </div>
            </div>
            
        </div>
        <!--Script Tags-->
        <script src="js/angular.js"></script>
        <script src="js/jquery.js"></script>
        <script src="js/bootstrap.min.js"></script>
        <script src="controllers/myEmployeeCtrl.js"></script>
        <script src="controllers/service.js"></script>
        
    </body>
</html>